'use strict';

/**
 * @ngdoc overview
 * @name alamosApp
 * @description
 * # alamosApp
 *
 * Main module of the application.
 */
angular
  .module('alamosApp', [
    'ngCookies',
    'ngResource',
    'ngRoute'
  ])
  .config(function ($routeProvider) {
    $routeProvider
    .when('/feedback', {
        templateUrl: 'views/feedback.html',
        controller: 'FeedbackCtrl'
      })
       .when('/', {
        templateUrl: 'views/start.html',
        controller: 'StartCtrl'
      })
    .when('/ticker', {
        templateUrl: 'views/ticker.html',
        controller: 'TickerCtrl'
      })
    .when('/status', {
        templateUrl: 'views/status.html',
        controller: 'StatusCtrl'
      })
    .when('/overview', {
        templateUrl: 'views/overview.html',
        controller: 'OverviewCtrl'
      })
        .when('/streaming', {
        templateUrl: 'views/streaming.html',
        controller: 'StreamingCtrl'
      })
      .otherwise({
        redirectTo: '/'
      });
  });
