angular.module('alamosApp')
	.controller('StatusCtrl', function($scope, $location, $interval, $log, $http, $rootScope) {
    $scope.isAutoUpdateActive = false;
  
    $scope.autoUpdate = function(){
      
      var isFirstTime = !$scope.isAutoUpdateActive;
      
      $scope.isAutoUpdateActive = true;
      
      if ($scope.isAutoUpdateActive && isFirstTime){
        $interval($scope.updateStatus, 10*1000);
      }
    };
    
    $scope.updateStatus = function() {
	   $scope.isLoading = true;
        $http.get('../status?password=' + $rootScope.password).
		success(function(data) {
		  $log.log(data);
          
            var rows = Math.ceil(data.data.length / 3);
		    var arr = [];
            for (var i = 0; i < rows; i++){
              arr[i] = data.data.slice(i*3, (i*3)+3);
            }
            $scope.units = arr;
            $log.log(arr);
            $scope.data = data;
			$scope.isLoading = false;
            $scope.invalidLogin = false;
        })
			.error(function(data, status, headers, config){
				$scope.isLoading = false;
				if (status === 403){
					//Wrong password
					$scope.invalidLogin = true;
				}else{
					$scope.errorMessage = "Ein unbekannter Fehler ist aufgetreten: " + status;
				}
			});
		};
    
    		//Scope

		/**
			Ob ein Eintrag ein HEADER Eintrag ist oder nicht
		*/
        $scope.isHeader = function(entry){
			var isHeader = false;
			if (entry === undefined) {
				isHeader = false;
			} else {
				isHeader = entry.unitType === 'HEADER';
			}
			return isHeader;
		};
		
		$scope.isSpacer = function(entry){
			var isSpacer = false;
			if (entry === undefined) {
				isSpacer = false;
			} else {
				isSpacer = entry.unitType === 'SPACER';
			}
			return isSpacer;
		};
    
    $scope.setStatus = function(entry, statusString){
        entry.status = statusString;
        $scope.isLoading = true;
			$http.post('../status?password=' + $rootScope.password, entry).
			success(function(data) {
				$scope.isLoading = false;
			})
			.error(function(data, status, headers, config){
				$scope.isLoading = false;
				if (status === 403){
					//Wrong password
					$scope.invalidLogin = true;
				}else{
					$scope.errorMessage = "Ein unbekannter Fehler ist aufgetreten: " + status;
				}
			});
    }
    
    $scope.getStatusColor = function(entry){
        var color = {
        "background-color": "#ffffff",
       };
        var p = $scope.data.colors;
        for (var key in p) {
          if (p.hasOwnProperty(key)) {
              if (key === entry.status){
                  return {
                    "background-color": p[key]
                   };
          }

          }
        }
        
        
        
	   return color;
    };
  
  
          if (angular.isDefined($location.search().password)){
              $rootScope.password = $location.search().password;
          }
    
    $scope.updateStatus();
    
});